#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){

	ofSetVerticalSync(true);

	ofBackground(255, 255, 255);
	
	playbackStartTime = 0;
		
}


//--------------------------------------------------------------
void testApp::update(){
	for (int i=0; i<TPR_V.size(); i++) {
		TPR_V[i].update();
	}
}

//--------------------------------------------------------------
void testApp::draw(){

	
	// -------------------------- draw the line
	
	for (int i=0; i<TPR_V.size(); i++) {
		TPR_V[i].draw();
	}
	
	for (int i=0; i<TPR_V.size(); i++) {
		// -------------------------- draw the point at the current time
		if (TPR_V[i].bHaveADrawing()){			// if we have a drawing to work with
			// figure out what time we are at, and make sure we playback cyclically (!)
			// use the duration here and make sure our timeToCheck is in the range of 0 - duration
			float timeToCheck = ofGetElapsedTimef() - playbackStartTime;
			while (timeToCheck > TPR_V[i].getDuration() && TPR_V[i].getDuration() > 0){
				timeToCheck -= TPR_V[i].getDuration();
			}
			
			// get the position and velocity at timeToCheck
			ofPoint pos = TPR_V[i].getPositionForTime(timeToCheck);
			
			
			float bgColor = ofMap(pos.y, 0, ofGetHeight(), 50, 200);
			ofBackground(bgColor, bgColor, bgColor);
			
			
			ofFill();
			ofSetColor(255,0,0);
			ofCircle(pos.x, pos.y, 10);
		}
		
	}
	
	
	ofSetColor(255,0,0);
	ofDrawBitmapString("height of dot controls background color", 30, 30);
	
	char reportString2[255];
	
	int tpr_vLength = TPR_V.size();
	sprintf(reportString2, "Press 'c' to clear. Vector Size: (%i)", tpr_vLength);
	ofDrawBitmapString(reportString2,30,155);
	
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){
	switch(key){
        case 'c':
            TPR_V.clear();
			break;
    }
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

	TPR_V[TPR_V.size()-1].addPoint(x,y);
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	timePointRecorder temp;
	
	TPR_V.push_back(temp); 
	
	TPR_V[TPR_V.size()-1].startDrawing(x,y);
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){
	
	for (int i=0; i<TPR_V.size(); i++) {
		TPR_V[i].endDrawing();
	}
	
	playbackStartTime = ofGetElapsedTimef();
}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){
}



