
#ifndef TIME_POINT_RECORDER_H
#define TIME_POINT_RECORDER_H

#include "ofMain.h"
#include "timePoint.h"

//--------------------------------------------------
class timePointRecorder : public ofBaseApp  {

	public: 
		timePointRecorder();
		void setup();
		void update();
		void clear();
		void draw();
	
		void		startDrawing(float x, float y);
		void		addPoint (float x, float y);
		void		endDrawing();
		
		ofPoint		getPositionForTime( float time);
		ofPoint		getVelocityForTime( float time);
		
		bool		bHaveADrawing();
		float		getDuration();
	
	
		vector < timePoint >	pts;
		float					startTime;
		bool					bRecording;
	
	
		void audioRequested 	(float * input, int bufferSize, int nChannels);
	
		float 	pan;
		int		sampleRate;
		bool 	bNoise;
		float 	volume;
	
		float 	* lAudio;
		float   * rAudio;
	
		//------------------- for the simple sine wave synthesis
		float 	targetFrequency;
		float 	phase;
		float 	phaseAdder;
		float 	phaseAdderTarget;
	
		int posX;
		int posY;
	
	
		ofSoundPlayer			loopingSound;
	
	
};



#endif